Arbor 3: FSM & BT Graph Editor 3.5.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
ParameterContainer Class Reference

ParameterContainer。
Is used by attaching to GameObject. More...

Inheritance diagram for ParameterContainer:

## Additional Inherited Members
Public Member Functions inherited from ParameterContainerInternal
Parameter | GetParameterFromIndex (int index)
| Get Parameter from index. More...
void | Refresh ()
| Editor only More...
Parameter | AddParam (string name, Parameter.Type type)
| Add a parameter. More...
Parameter | GetParam (string name)
| Get the parameters from the name. More...
int | GetParamID (string name)
| Get the parameters ID from the name. More...
Parameter | GetParam (int id)
| Get the parameters from the ID. More...
void | DeleteParam (Parameter parameter)
| Delete a parameter. More...
void | DeleteParam (string name)
| Delete the parameters by name. More...
void | DeleteParam (int id)
| Delete the parameters by ID. More...
string | MakeUniqueName (string name)
| It generates a name that does not overlap. More...
bool | IsParameterType (string name, Parameter.Type type)
| Determine the type of parameter. More...
bool | IsParameterType (int id, Parameter.Type type)
| Determine the type of parameter. More...
bool | SetFloat (string name, float value)
| It wants to set the value of the Float type. More...
bool | SetFloat (int id, float value)
| It wants to set the value of the Float type. More...
bool | TryGetFloat (string name, out float value)
| Get the value of the Float type. More...
bool | TryGetFloat (int id, out float value)
| Get the value of the Float type. More...
float | GetFloat (string name, float defaultValue=0.0f)
| Get the value of the Float type. More...
float | GetFloat (int id, float defaultValue=0.0f)
| Get the value of the Float type. More...
bool | GetFloat (string name, out float value)
| Get the value of the Float type. More...
bool | GetFloat (int id, out float value)
| Get the value of the Float type. More...
bool | SetInt (string name, int value)
| It wants to set the value of the Int type. More...
bool | SetInt (int id, int value)
| It wants to set the value of the Int type. More...
bool | TryGetInt (string name, out int value)
| Get the value of the Int type. More...
bool | TryGetInt (int id, out int value)
| Get the value of the Int type. More...
int | GetInt (int id, int defaultValue=0)
| Get the value of the Int type. More...
int | GetInt (string name, int defaultValue=0)
| Get the value of the Int type. More...
bool | GetInt (string name, out int value)
| Get the value of the Int type. More...
bool | GetInt (int id, out int value)
| Get the value of the Int type. More...
bool | SetLong (string name, long value)
| It wants to set the value of the Long type. More...
bool | SetLong (int id, long value)
| It wants to set the value of the Long type. More...
bool | TryGetLong (string name, out long value)
| Get the value of the Long type. More...
bool | TryGetLong (int id, out long value)
| Get the value of the Long type. More...
long | GetLong (string name, long defaultValue=0L)
| Get the value of the Long type. More...
long | GetLong (int id, long defaultValue=0L)
| Get the value of the Long type. More...
bool | GetLong (string name, out long value)
| Get the value of the Long type. More...
bool | GetLong (int id, out long value)
| Get the value of the Long type. More...
bool | SetBool (string name, bool value)
| It wants to set the value of the Bool type. More...
bool | SetBool (int id, bool value)
| It wants to set the value of the Bool type. More...
bool | TryGetBool (string name, out bool value)
| Get the value of the Bool type. More...
bool | TryGetBool (int id, out bool value)
| Get the value of the Bool type. More...
bool | GetBool (string name, bool defaultValue=false)
| Get the value of the Bool type. More...
bool | GetBool (int id, bool defaultValue=false)
| Get the value of the Bool type. More...
bool | GetBool (string name, out bool value)
| Get the value of the Bool type. More...
bool | GetBool (int id, out bool value)
| Get the value of the Bool type. More...
bool | SetString (string name, string value)
| It wants to set the value of the String type. More...
bool | SetString (int id, string value)
| It wants to set the value of the String type. More...
bool | TryGetString (string name, out string value)
| Get the value of the String type. More...
bool | TryGetString (int id, out string value)
| Get the value of the String type. More...
string | GetString (string name, string defaultValue="")
| Get the value of the String type. More...
string | GetString (int id, string defaultValue="")
| Get the value of the String type. More...
bool | GetString (string name, out string value)
| Get the value of the String type. More...
bool | GetString (int id, out string value)
| Get the value of the String type. More...
bool | IsEnum (int id)
| It wants to set the value of the Enum type. More...
bool | IsEnum (string name)
| It wants to set the value of the Enum type. More...
bool | SetEnumInt (string name, int value)
| It wants to set the value of the Enum type. More...
bool | SetEnumInt (int id, int value)
| It wants to set the value of the Enum type. More...
bool | TryGetEnumInt (string name, out int value)
| Get the value of the Enum type. More...
bool | TryGetEnumInt (int id, out int value)
| Get the value of the Enum type. More...
int | GetEnumInt (string name, int defaultValue=default(int))
| Get the value of the Enum type. More...
int | GetEnumInt (int id, int defaultValue=default(int))
| Get the value of the Enum type. More...
bool | SetEnum (string name, System.Enum value)
| It wants to set the value of the Enum type. More...
bool | SetEnum (int id, System.Enum value)
| It wants to set the value of the Enum type. More...
bool | TryGetEnum (string name, out System.Enum value)
| Get the value of the Enum type. More...
bool | TryGetEnum (int id, out System.Enum value)
| Get the value of the Enum type. More...
System.Enum | GetEnum (string name, System.Enum defaultValue=null)
| Get the value of the Enum type. More...
System.Enum | GetEnum (int id, System.Enum defaultValue=null)
| Get the value of the Enum type. More...
bool | SetEnum< TEnum > (string name, TEnum value)
| It wants to set the value of the Enum type. More...
bool | SetEnum< TEnum > (int id, TEnum value)
| It wants to set the value of the Enum type. More...
bool | TryGetEnum< TEnum > (string name, out TEnum value)
| Get the value of the Enum type. More...
bool | TryGetEnum< TEnum > (int id, out TEnum value)
| Get the value of the Enum type. More...
TEnum | GetEnum< TEnum > (string name, TEnum defaultValue)
| Get the value of the Enum type. More...
TEnum | GetEnum< TEnum > (string name)
| Get the value of the Enum type. More...
TEnum | GetEnum< TEnum > (int id, TEnum defaultValue)
| Get the value of the Enum type. More...
TEnum | GetEnum< TEnum > (int id)
| Get the value of the Enum type. More...
bool | SetVector2 (string name, Vector2 value)
| It wants to set the value of the Vector2 type. More...
bool | SetVector2 (int id, Vector2 value)
| It wants to set the value of the Vector2 type. More...
bool | TryGetVector2 (string name, out Vector2 value)
| Get the value of the Vector2 type. More...
bool | TryGetVector2 (int id, out Vector2 value)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 (string name, Vector2 defaultValue)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 (string name)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 (int id, Vector2 defaultValue)
| Get the value of the Vector2 type. More...
Vector2 | GetVector2 (int id)
| Get the value of the Vector2 type. More...
bool | GetVector2 (string name, out Vector2 value)
| Get the value of the Vector2 type. More...
bool | GetVector2 (int id, out Vector2 value)
| Get the value of the Vector2 type. More...
bool | SetVector3 (string name, Vector3 value)
| It wants to set the value of the Vector3 type. More...
bool | SetVector3 (int id, Vector3 value)
| It wants to set the value of the Vector3 type. More...
bool | TryGetVector3 (string name, out Vector3 value)
| Get the value of the Vector3 type. More...
bool | TryGetVector3 (int id, out Vector3 value)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 (string name, Vector3 defaultValue)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 (string name)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 (int id, Vector3 defaultValue)
| Get the value of the Vector3 type. More...
Vector3 | GetVector3 (int id)
| Get the value of the Vector3 type. More...
bool | GetVector3 (string name, out Vector3 value)
| Get the value of the Vector3 type. More...
bool | GetVector3 (int id, out Vector3 value)
| Get the value of the Vector3 type. More...
bool | SetQuaternion (string name, Quaternion value)
| It wants to set the value of the Quaternion type. More...
bool | SetQuaternion (int id, Quaternion value)
| It wants to set the value of the Quaternion type. More...
bool | TryGetQuaternion (string name, out Quaternion value)
| Get the value of the Quaternion type. More...
bool | TryGetQuaternion (int id, out Quaternion value)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion (string name, Quaternion defaultValue)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion (string name)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion (int id, Quaternion defaultValue)
| Get the value of the Quaternion type. More...
Quaternion | GetQuaternion (int id)
| Get the value of the Quaternion type. More...
bool | GetQuaternion (string name, out Quaternion value)
| Get the value of the Quaternion type. More...
bool | GetQuaternion (int id, out Quaternion value)
| Get the value of the Quaternion type. More...
bool | SetRect (string name, Rect value)
| It wants to set the value of the Rect type. More...
bool | SetRect (int id, Rect value)
| It wants to set the value of the Rect type. More...
bool | TryGetRect (string name, out Rect value)
| Get the value of the Rect type. More...
bool | TryGetRect (int id, out Rect value)
| Get the value of the Rect type. More...
Rect | GetRect (string name, Rect defaultValue)
| Get the value of the Rect type. More...
Rect | GetRect (string name)
| Get the value of the Rect type. More...
Rect | GetRect (int id, Rect defaultValue)
| Get the value of the Rect type. More...
Rect | GetRect (int id)
| Get the value of the Rect type. More...
bool | GetRect (string name, out Rect value)
| Get the value of the Rect type. More...
bool | GetRect (int id, out Rect value)
| Get the value of the Rect type. More...
bool | SetBounds (string name, Bounds value)
| It wants to set the value of the Bounds type. More...
bool | SetBounds (int id, Bounds value)
| It wants to set the value of the Bounds type. More...
bool | TryGetBounds (string name, out Bounds value)
| Get the value of the Bounds type. More...
bool | TryGetBounds (int id, out Bounds value)
| Get the value of the Bounds type. More...
Bounds | GetBounds (string name, Bounds defaultValue)
| Get the value of the Bounds type. More...
Bounds | GetBounds (string name)
| Get the value of the Bounds type. More...
Bounds | GetBounds (int id, Bounds defaultValue)
| Get the value of the Bounds type. More...
Bounds | GetBounds (int id)
| Get the value of the Bounds type. More...
bool | GetBounds (string name, out Bounds value)
| Get the value of the Bounds type. More...
bool | GetBounds (int id, out Bounds value)
| Get the value of the Bounds type. More...
bool | SetColor (string name, Color value)
| It wants to set the value of the Color type. More...
bool | SetColor (int id, Color value)
| It wants to set the value of the Color type. More...
bool | TryGetColor (string name, out Color value)
| Get the value of the Color type. More...
bool | TryGetColor (int id, out Color value)
| Get the value of the Color type. More...
Color | GetColor (string name, Color defaultValue)
| Get the value of the Color type. More...
Color | GetColor (string name)
| Get the value of the Color type. More...
Color | GetColor (int id, Color defaultValue)
| Get the value of the Color type. More...
Color | GetColor (int id)
| Get the value of the Color type. More...
bool | GetColor (string name, out Color value)
| Get the value of the Color type. More...
bool | GetColor (int id, out Color value)
| Get the value of the Color type. More...
bool | SetGameObject (string name, GameObject value)
| It wants to set the value of the GameObject type. More...
bool | SetGameObject (int id, GameObject value)
| It wants to set the value of the GameObject type. More...
bool | TryGetGameObject (string name, out GameObject value)
| Get the value of the GameObject type. More...
bool | TryGetGameObject (int id, out GameObject value)
| Get the value of the GameObject type. More...
GameObject | GetGameObject (string name, GameObject defaultValue=null)
| Get the value of the GameObject type. More...
GameObject | GetGameObject (int id, GameObject defaultValue=null)
| Get the value of the GameObject type. More...
bool | GetGameObject (string name, out GameObject value)
| Get the value of the GameObject type. More...
bool | GetGameObject (int id, out GameObject value)
| Get the value of the GameObject type. More...
bool | SetTransform (string name, Transform value)
| It wants to set the value of the Transform type. More...
bool | SetTransform (int id, Transform value)
| It wants to set the value of the Transform type. More...
bool | TryGetTransform (string name, out Transform value)
| Get the value of the Transform type. More...
bool | TryGetTransform (int id, out Transform value)
| Get the value of the Transform type. More...
Transform | GetTransform (string name, Transform defaultValue=null)
| Get the value of the Transform type. More...
Transform | GetTransform (int id, Transform defaultValue=null)
| Get the value of the Transform type. More...
bool | GetTransform (string name, out Transform value)
| Get the value of the Transform type. More...
bool | GetTransform (int id, out Transform value)
| Get the value of the Transform type. More...
bool | SetRectTransform (string name, RectTransform value)
| It wants to set the value of the RectTransform type. More...
bool | SetRectTransform (int id, RectTransform value)
| It wants to set the value of the RectTransform type. More...
bool | TryGetRectTransform (string name, out RectTransform value)
| Get the value of the RectTransform type. More...
bool | TryGetRectTransform (int id, out RectTransform value)
| Get the value of the RectTransform type. More...
RectTransform | GetRectTransform (string name, RectTransform defaultValue=null)
| Get the value of the RectTransform type. More...
RectTransform | GetRectTransform (int id, RectTransform defaultValue=null)
| Get the value of the RectTransform type. More...
bool | GetRectTransform (string name, out RectTransform value)
| Get the value of the RectTransform type. More...
bool | GetRectTransform (int id, out RectTransform value)
| Get the value of the RectTransform type. More...
bool | SetRigidbody (string name, Rigidbody value)
| It wants to set the value of the Rigidbody type. More...
bool | SetRigidbody (int id, Rigidbody value)
| It wants to set the value of the Rigidbody type. More...
bool | TryGetRigidbody (string name, out Rigidbody value)
| Get the value of the Rigidbody type. More...
bool | TryGetRigidbody (int id, out Rigidbody value)
| Get the value of the Rigidbody type. More...
Rigidbody | GetRigidbody (string name, Rigidbody defaultValue=null)
| Get the value of the Rigidbody type. More...
Rigidbody | GetRigidbody (int id, Rigidbody defaultValue=null)
| Get the value of the Rigidbody type. More...
bool | GetRigidbody (string name, out Rigidbody value)
| Get the value of the Rigidbody type. More...
bool | GetRigidbody (int id, out Rigidbody value)
| Get the value of the Rigidbody type. More...
bool | SetRigidbody2D (string name, Rigidbody2D value)
| It wants to set the value of the Rigidbody2D type. More...
bool | SetRigidbody2D (int id, Rigidbody2D value)
| It wants to set the value of the Rigidbody2D type. More...
bool | TryGetRigidbody2D (string name, out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
bool | TryGetRigidbody2D (int id, out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
Rigidbody2D | GetRigidbody2D (string name, Rigidbody2D defaultValue=null)
| Get the value of the Rigidbody2D type. More...
Rigidbody2D | GetRigidbody2D (int id, Rigidbody2D defaultValue=null)
| Get the value of the Rigidbody2D type. More...
bool | GetRigidbody2D (string name, out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
bool | GetRigidbody2D (int id, out Rigidbody2D value)
| Get the value of the Rigidbody2D type. More...
bool | SetComponent (string name, Component value)
| It wants to set the value of the Component type. More...
bool | SetComponent (int id, Component value)
| It wants to set the value of the Component type. More...
bool | TryGetComponent (string name, out Component value)
| Get the value of the Component type. More...
bool | TryGetComponent (int id, out Component value)
| Get the value of the Component type. More...
Component | GetComponent (string name, Component defaultValue=null)
| Get the value of the Component type. More...
Component | GetComponent (int id, Component defaultValue=null)
| Get the value of the Component type. More...
bool | SetComponent< TComponent > (string name, TComponent value)
| It wants to set the value of the Component type. More...
bool | SetComponent< TComponent > (int id, TComponent value)
| It wants to set the value of the Component type. More...
bool | TryGetComponent< TComponent > (string name, out TComponent value)
| Get the value of the Component type. More...
bool | TryGetComponent< TComponent > (int id, out TComponent value)
| Get the value of the Component type. More...
TComponent | GetComponent< TComponent > (string name, TComponent defaultValue=null)
| Get the value of the Component type. More...
TComponent | GetComponent< TComponent > (int id, TComponent defaultValue=null)
| Get the value of the Component type. More...
bool | SetVariable (string name, object value)
| It wants to set the value of Variable. More...
bool | SetVariable (int id, object value)
| It wants to set the value of Variable. More...
bool | TryGetVariable (string name, out object value)
| Get the value of Variable. More...
bool | TryGetVariable (int id, out object value)
| Get the value of Variable. More...
object | GetVariable (string name, object defaultValue=null)
| Get the value of Variable. More...
object | GetVariable (int id, object defaultValue=null)
| Get the value of Variable. More...
bool | SetVariable< TVariable > (string name, TVariable value)
| It wants to set the value of Variable. More...
bool | SetVariable< TVariable > (int id, TVariable value)
| It wants to set the value of Variable. More...
bool | TryGetVariable< TVariable > (string name, out TVariable value)
| Get the value of Variable. More...
bool | TryGetVariable< TVariable > (int id, out TVariable value)
| Get the value of Variable. More...
TVariable | GetVariable< TVariable > (string name, TVariable defaultValue=default(TVariable))
| Get the value of Variable. More...
TVariable | GetVariable< TVariable > (int id, TVariable defaultValue=default(TVariable))
| Get the value of Variable. More...
Parameter | FindParameterContainsVariable (VariableBase variable)
| Acquisition of parameters VariableBase belongs. More...
void | DestroySubComponents ()
| Method to be used internally. More...
Static Public Member Functions inherited from ParameterContainerInternal
static void | Destroy (ParameterContainerInternal parameterContainer)
| Destroy ParameterContainerInternal More...
Properties inherited from ParameterContainerInternal
Parameter[] | parameters`[get]`
| Get an array of parameters. More...
int | parameterCount`[get]`
| Get a count of Parameter. More...
bool | isDeserialized`[get]`
| Returns whether or not deserialization has been done. More...
Properties inherited from ParameterContainerBase
ParameterContainerInternal | container`[get]`
| It returns the ParameterContainer entity. More...
ParameterContainerInternal | defaultContainer`[get]`
| It returns the original ParameterContainer. More...
Events inherited from ParameterContainerInternal
System.Action | onAfterDeserialize
| Callback after deserialization More...

## Detailed Description

ParameterContainer。
Is used by attaching to GameObject.